"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  devices: () => devices,
  getDeviceIcon: () => getDeviceIcon
});
module.exports = __toCommonJS(src_exports);

// src/devices.ts
var import_playwright_core = require("playwright-core");
var icons = {
  chromium: "chrome",
  firefox: "firefox",
  webkit: "safari"
};
var getDeviceIcon = (device) => {
  if (["Desktop Edge", "Desktop Edge HiDPI"].includes(device.name)) {
    return "edge";
  }
  const icon = icons[device.defaultBrowserType];
  return icon;
};
var devices = Object.keys(
  import_playwright_core.devices
).reduce(
  (acc, name) => {
    acc[name] = {
      ...import_playwright_core.devices[name],
      name
    };
    const icon = getDeviceIcon(acc[name]);
    acc[name].icon = icon;
    return acc;
  },
  {}
);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  devices,
  getDeviceIcon
});
