// src/devices.ts
import { devices as playwrightDevices } from "playwright-core";
var icons = {
  chromium: "chrome",
  firefox: "firefox",
  webkit: "safari"
};
var getDeviceIcon = (device) => {
  if (["Desktop Edge", "Desktop Edge HiDPI"].includes(device.name)) {
    return "edge";
  }
  const icon = icons[device.defaultBrowserType];
  return icon;
};
var devices = Object.keys(
  playwrightDevices
).reduce(
  (acc, name) => {
    acc[name] = {
      ...playwrightDevices[name],
      name
    };
    const icon = getDeviceIcon(acc[name]);
    acc[name].icon = icon;
    return acc;
  },
  {}
);
export {
  devices,
  getDeviceIcon
};
